# Class: Select

## "montage/ui/native/select.reel". Select

#### new Select()

If the <select> markup contains is provided in the markup and `contentController` is not, the `contentController` collection is populated with the options from the markup. If `contentController` is present, any options in the markup are overwritten by the values from the `contentController` when they are available.

Wraps the a <select> element with binding support for the element's standard attributes. Uses an ArrayController instance to manage the element's contents and selection.

Source:
  - ui/select.reel/select.js, line 10

### Extends

- module:montage/ui/component.Component

### Members

#### (static) autofocus :boolean

Specifies whether the element should be focused as soon as the page is loaded.

##### Type:

- boolean

Default Value:
  - false
Source:
  - ui/select.reel/select.js, line 505

#### (static) content

An array of items to to assign to the component's `contentController` property, which is a RangeController.

Source:
  - ui/select.reel/select.js, line 109

#### (static) contentController

An ArrayController instance used to manage the content and selection of the select input control.

Default Value:
  - null
Source:
  - ui/select.reel/select.js, line 155

#### (static) disabled :boolean

When true, the select control is disabled to user input and "disabled" is added to its CSS class list.

##### Type:

- boolean

Default Value:
  - false
Source:
  - ui/select.reel/select.js, line 512

#### (static) form :string

The value of the `id` attribute of the form with which to associate the component's element.

##### Type:

- string

Default Value:
  - null
Source:
  - ui/select.reel/select.js, line 519

#### (static) multiple :boolean

Specifies if multiple selections are enabled on the select element.

##### Type:

- boolean

Default Value:
  - false
Source:
  - ui/select.reel/select.js, line 525

#### (static) name :string

The name associated with the select input element.

##### Type:

- string

Default Value:
  - null
Source:
  - ui/select.reel/select.js, line 532

#### (static) required :string

When true, the user will be required to select a value from the control before submitting the form.

##### Type:

- string

Default Value:
  - false
Source:
  - ui/select.reel/select.js, line 539

#### (static) size :number

The number of options from the select element to display to the user.

##### Type:

- number

Default Value:
  - 1
Source:
  - ui/select.reel/select.js, line 546

#### (static) textPropertyPath

Specifies the property belonging to the component's `contentController` to use as the text content of the .

Source:
  - ui/select.reel/select.js, line 142

#### (static) valuePropertyPath

Specifies the property belonging to the component's `contentController` to use as the "value" part of the .

Source:
  - ui/select.reel/select.js, line 135

### Methods

#### (static) draw()

Description TODO

Source:
  - ui/select.reel/select.js, line 404

#### (static) enterDocument()

Description TODO

Source:
  - ui/select.reel/select.js, line 383